Bug 1293307 - Unable to list EC2 Public AMIs, even after enabling the attribute 'get_public_images' to true in EVM server configuration
Unable to list EC2 Public AMIs, even after enabling the attribute 'get_public...
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Appliance (Show other bugs)
Unspecified Unspecified
high Severity high
: GA
: 5.6.0
Assigned To: Marcel Hild
: ZStream
Depends On:
Blocks: 1312024
  Show dependency treegraph
Reported: 2015-12-21 06:40 EST by Nikhil Gupta
Modified: 2016-06-29 11:22 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
In the previous version of CloudForms Management Engine, provider refreshers were not correctly retrieving VMDB configuration options. As a result, EC2 Public AMIs were not listed even after enabling the attribute 'get_public_images' to true in EVM server configuration. This patch fixed provider refreshers to correctly retieve VMDB configuration options.
Story Points: ---
Clone Of:
: 1312024 (view as bug list)
Last Closed: 2016-06-29 11:22:45 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: Bug
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Images (117.19 KB, image/png)
2016-04-22 18:15 EDT, Shveta
no flags Details

External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 2146051 None None None 2016-02-01 07:17 EST

  None (edit)
Description Nikhil Gupta 2015-12-21 06:40:21 EST
Description of problem:
Unable to list EC2 Public AMIs, even after enabling the attribute 'get_public_images' to true in EVM server configuration

Version-Release number of selected component (if applicable): 

How reproducible:

Steps to Reproduce:
1. Configure --> Configurations --> Server --> Advanced 
2. Set get_public_images: true
3. Save it

Actual results:
Unable to list EC2 Public AMIs

Expected results:
Able to see EC2 public AMIs
Comment 6 Shveta 2016-04-18 17:29:47 EDT
@Joe Vlcek : Changing the flag (get_public_images: true) doesn't change anything .
Comment 7 Marcel Hild 2016-04-19 07:28:13 EDT
@shveta: what exact appliance version did you test that on? I know that I was able to get all public AMIs on master on upstream. 

This is not being backported, for now.
Comment 8 Marcel Hild 2016-04-19 09:00:33 EDT
I could reproduce it and know where the problem is. Will provide a fix today
Comment 9 Marcel Hild 2016-04-19 15:11:37 EDT
fixed upstream https://github.com/ManageIQ/manageiq/pull/8094
Comment 10 Shveta 2016-04-22 18:15 EDT
Created attachment 1149932 [details]
Comment 11 Shveta 2016-04-22 18:16:15 EDT
The number of images listed before setting the flag to true is 609.
I changed the flag value to true and refreshed the provider.
It is supposed to show more number of images now ?
Comment 12 Shveta 2016-04-22 18:17:14 EDT
Yes it did show all public images after a while .
Verified in
Comment 14 errata-xmlrpc 2016-06-29 11:22:45 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.